//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include <iostream>
#include "Stack.hpp" //    

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{

 try {
    Stack<int> st;

    //     
    st.push(1);
    st.push(2);
    st.push(3);

    //       
    cout << ToRus("      : \n");
    cout << st.pop() << ' ';
    cout << st.pop() << ' ';
    cout << endl;

    //   
    st.top() = 77;

    //    
    st.push(4);
    st.push(5);

    //     
    st.pop();

    //     
    //    - :    

    cout << ToRus("    :\n");
    cout << st.pop() << ' ';
    cout << st.pop() << endl;
    cout << st.pop() << endl;
   }
  catch (const exception& e) {
     cerr << "EXCEPTION: " << e.what() << endl;
  }

  getch();
  return 0;
}

//---------------------------------------------------------------------------